Index: /extensions/UserCollections/include/collections.inc.php
===================================================================
--- /extensions/UserCollections/include/collections.inc.php	(revision 25677)
+++ /extensions/UserCollections/include/collections.inc.php	(revision 25678)
@@ -21,9 +21,9 @@
     access_denied();
   }
-  
-  $template->set_filename('index', realpath(USER_COLLEC_PATH.'template/collections_list.tpl'));
-  
+
+  $template->set_filename('uc_page', realpath(USER_COLLEC_PATH.'template/collections_list.tpl'));
+
   // actions
-  if ( isset($_GET['action']) and preg_match('#^([0-9]+)$#', $_GET['col_id']) )
+  if (isset($_GET['action']) and preg_match('#^([0-9]+)$#', $_GET['col_id']))
   {
     switch ($_GET['action'])
@@ -39,5 +39,5 @@
         {
           $collection = new UserCollection('new', $_GET['name']);
-          
+
           if (isset($_GET['redirect']))
           {
@@ -52,5 +52,5 @@
         break;
       }
-        
+
       ## delete collection ##
       case 'delete':
@@ -69,13 +69,13 @@
     }
   }
-  
+
   $template->assign('U_CREATE',
     add_url_params(USER_COLLEC_PUBLIC, array('action'=>'new','col_id'=>'0'))
     );
-  
+
   $template->set_prefilter('index_category_thumbnails', 'user_collections_categories_list');
-  
+
   include(USER_COLLEC_PATH . '/include/display_collections.inc.php');
-  
+
   break;
 }
@@ -92,9 +92,9 @@
     redirect(USER_COLLEC_PUBLIC);
   }
-  
-  $template->set_filename('index', realpath(USER_COLLEC_PATH.'template/collection_edit.tpl'));
-  
+
+  $template->set_filename('uc_page', realpath(USER_COLLEC_PATH.'template/collection_edit.tpl'));
+
   $self_url = USER_COLLEC_PUBLIC . 'edit/' . $page['col_id'];
-  
+
   $template->assign(array(
     'F_ACTION' => $self_url,
@@ -102,9 +102,9 @@
     'UC_IN_EDIT' => true,
     ));
-  
+
   try {
     $collection = new UserCollection($page['col_id']);
     $collection->checkUser();
-    
+
     // save properties
     if (isset($_POST['save_col']))
@@ -118,7 +118,7 @@
         $collection->updateParam('name', stripslashes($_POST['name']));
       }
-      $collection->updateParam('comment', stripslashes($_POST['comment']));
-    }
-    
+      $collection->updateParam('comment', stripslashes(@$_POST['comment']));
+    }
+
     // add key
     if ($conf['user_collections']['allow_public'])
@@ -127,9 +127,9 @@
       {
         $share = array(
-          'share_key' =>  trim($_POST['share_key']),
-          'password' =>   isset($_POST['use_share_password']) ? trim($_POST['share_password']) : '',
-          'deadline' =>   isset($_POST['use_share_deadline']) ? trim($_POST['share_deadline']) : '',
+          'share_key' => trim($_POST['share_key']),
+          'password' =>  isset($_POST['use_share_password']) ? trim($_POST['share_password']) : '',
+          'deadline' =>  isset($_POST['use_share_deadline']) ? trim($_POST['share_deadline']) : '',
           );
-          
+
         if (!verify_ephemeral_key(@$_POST['key']))
         {
@@ -147,5 +147,5 @@
         {
           $share = array();
-          $share['infos'][] = sprintf(l10n('New share added: <a href="%s">%s</a>'), $result, $result);
+          $share['infos'][] = l10n('New share added: <a href="%s">%s</a>', $result, $result);
         }
         $share['open'] = true;
@@ -163,23 +163,14 @@
       {
         $share['share_key'] = get_random_key(16);
-        $share['password'] = null;
-        $share['deadline'] = null;
+        $share['password'] =  null;
+        $share['deadline'] =  null;
       }
 
       $template->assign('share', $share);
     }
-    
+
     // send mail
-    if ( $conf['user_collections']['allow_mails'] && $conf['user_collections']['allow_public'] )
-    {
-      $contact = array(
-        'sender_name' =>      $user['username'],
-        'sender_email' =>     $user['email'],
-        'recipient_name' =>   null,
-        'recipient_email' =>  null,
-        'nb_images' =>        4,
-        'message' =>          null,
-        );
-          
+    if ($conf['user_collections']['allow_mails'] && $conf['user_collections']['allow_public'])
+    {
       if (isset($_POST['send_mail']))
       {
@@ -192,5 +183,5 @@
           'message' =>          $_POST['message'],
           );
-        
+
         if (!verify_ephemeral_key(@$_POST['key']))
         {
@@ -212,58 +203,74 @@
         }
       }
-      
+
+      if (!isset($contact['sender_email']))
+      {
+        $contact['sender_name'] =     $user['username'];
+        $contact['sender_email'] =    $user['email'];
+        $contact['recipient_name'] =  null;
+        $contact['recipient_email'] = null;
+        $contact['nb_images'] =       4;
+        $contact['message'] =         null;
+      }
+
       $template->assign('contact', $contact);
     }
-    
+
     // clear
-    if ( isset($_GET['action']) and $_GET['action'] == 'clear' )
+    if (isset($_GET['action']) && $_GET['action'] == 'clear')
     {
       $collection->clearImages();
     }
-    
-    
+
+
     // add remove item links
     $template->set_prefilter('index_thumbnails', 'user_collections_thumbnails_list_button');
     $template->set_prefilter('index_thumbnails', 'user_collections_add_colorbox');
-    
+
     // thumbnails
     include(USER_COLLEC_PATH . '/include/display_thumbnails.inc.php');
-    
-    
+
+
     // collection properties
     $infos = $collection->getCollectionInfo();
     $infos['DATE_CREATION'] = format_date($infos['DATE_CREATION'], true);
     $infos['SHARES'] = $collection->getShares();
-    $template->assign('collection', $infos); 
-    
+    $template->assign('collection', $infos);
+
+
     // toolbar buttons
     if (!empty($page['items']))
     {
-      $template->assign('U_CLEAR',
+      if ($conf['user_collections']['allow_public'])
+      {
+        user_collections_add_button('share', 'U_SHARE',
+          USER_COLLEC_PUBLIC . 'view/' . $page['col_id'] .'-'
+          );
+
+        if ($conf['user_collections']['allow_mails'])
+        {
+          user_collections_add_button('mail', 'U_MAIL', true);
+        }
+      }
+
+      user_collections_add_button('clear', 'U_CLEAR',
         add_url_params($self_url, array('action'=>'clear'))
         );
     }
-    $template->assign('U_DELETE',
+
+    user_collections_add_button('delete', 'U_DELETE',
       add_url_params(USER_COLLEC_PUBLIC, array('action'=>'delete','col_id'=>$page['col_id']))
       );
-      
-    if ( $conf['user_collections']['allow_public'] && !empty($page['items']) )
-    {
-      $template->assign('U_SHARE', USER_COLLEC_PUBLIC . 'view/' . $page['col_id'] .'-');
-    }
-    if ( $conf['user_collections']['allow_mails'] && $conf['user_collections']['allow_public'] && !empty($page['items']) )
-    {
-      $template->assign('U_MAIL', true);
-    }
+
     $template->assign('UC_TKEY', get_ephemeral_key(3));
-    
+
     // modify page title
-    $template->concat('TITLE', 
-      $conf['level_separator'] . trigger_event('render_category_name', $infos['NAME'])
+    $template->concat('TITLE',
+      $conf['level_separator'] . trigger_change('render_category_name', $infos['NAME'])
       );
-    
+
     // render description
     $template->assign('CONTENT_DESCRIPTION',
-      trigger_event('render_category_description', nl2br($infos['COMMENT']))
+      trigger_change('render_category_description', nl2br($infos['COMMENT']))
       );
   }
@@ -272,5 +279,5 @@
     $page['errors'][] = $e->getMessage();
   }
-  
+
   break;
 }
@@ -282,5 +289,5 @@
 {
   $page['col_key'] = $page['col_id'];
-  
+
   if (!$conf['user_collections']['allow_public'])
   {
@@ -291,5 +298,5 @@
     bad_request('');
   }
-  
+
   $query = '
 SELECT col_id, params
@@ -298,28 +305,29 @@
 ;';
   $result = pwg_query($query);
+
   if (!pwg_db_num_rows($result))
   {
     page_not_found(l10n('Collection not found'));
   }
-  
+
   list($page['col_id'], $share_params) = pwg_db_fetch_row($result);
   $share_params = unserialize($share_params);
-  
+
   // deadline check
-  if ( !empty($share_params['deadline']) && strtotime($share_params['deadline'])<time() )
+  if (!empty($share_params['deadline']) && strtotime($share_params['deadline'])<time())
   {
     page_not_found(l10n('This link expired'));
   }
-  
+
   $self_url = USER_COLLEC_PUBLIC . 'view/' . $page['col_key'];
-  
-  $template->set_filename('index', realpath(USER_COLLEC_PATH.'template/collection_view.tpl'));
-  
+
+  $template->set_filename('uc_page', realpath(USER_COLLEC_PATH.'template/collection_view.tpl'));
+
   try {
     $collection = new UserCollection($page['col_id']);
     $col = $collection->getCollectionInfo();
-    
+
     $mode = 'view';
-    
+
     // password check
     if (!empty($share_params['password']))
@@ -351,25 +359,26 @@
       }
     }
-    
+
     if ($mode == 'view')
     {
       $template->set_prefilter('index_thumbnails', 'user_collections_add_colorbox');
-      
+
       // thumbnails
       include(USER_COLLEC_PATH . '/include/display_thumbnails.inc.php');
-      
+
       // render description
       $template->assign('CONTENT_DESCRIPTION',
-        trigger_event('render_category_description', nl2br($col['COMMENT']))
+        trigger_change('render_category_description', nl2br($col['COMMENT']))
         );
     }
-    
+
     // add username in title
     include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-    $template->concat('TITLE', 
-      $conf['level_separator'] . trigger_event('render_category_name', $col['NAME']) .
-      ' (' . sprintf(l10n('by %s'), get_username($collection->getParam('user_id'))) . ')'
+
+    $template->concat('TITLE',
+      $conf['level_separator'] . trigger_change('render_category_name', $col['NAME']) .
+      ' (' . l10n('by %s', get_username($collection->getParam('user_id'))) . ')'
       );
-      
+
     $template->assign('UC_MODE', $mode);
   }
@@ -378,8 +387,10 @@
     access_denied();
   }
-  
+
   break;
 }
 }
+
+$template->assign_var_from_handle('CONTENT', 'uc_page');
 
 
@@ -393,5 +404,5 @@
     | <a href="{$cat.U_DELETE}" onClick="return confirm(\'{"Are you sure?"|@translate}\');" rel="nofollow">{"Delete"|@translate}</a>
   </div>';
-  
+
   return str_replace($search, $replace, $content);
 }
@@ -402,7 +413,15 @@
   $search = '<a href="{$thumbnail.URL}"';
   $replace = $search.' class="preview-box" data-src="{$thumbnail.FILE_SRC}" data-id="{$thumbnail.id}"';
-  
+
   return str_replace($search, $replace, $content);
 }
 
-?>
+// add special buttons
+function user_collections_add_button($tpl_file, $tpl_var, $value)
+{
+  global $template;
+
+  $template->assign($tpl_var, $value);
+  $template->set_filename('uc_button_'.$tpl_file, realpath(USER_COLLEC_PATH.'template/buttons/'. $tpl_file .'.tpl'));
+  $template->add_index_button($template->parse('uc_button_'.$tpl_file, true));
+}
Index: /extensions/UserCollections/include/display_collections.inc.php
===================================================================
--- /extensions/UserCollections/include/display_collections.inc.php	(revision 25677)
+++ /extensions/UserCollections/include/display_collections.inc.php	(revision 25678)
@@ -1,5 +1,4 @@
 <?php
 defined('USER_COLLEC_PATH') or die('Hacking attempt!');
-
 
 // collections orders
@@ -20,7 +19,8 @@
 $orders = get_collections_preferred_orders();
 
+
 // get sorted collections
 $query = '
-SELECT * 
+SELECT *
   FROM '.COLLECTIONS_TABLE.'
   WHERE user_id = '.$user['id'].'
@@ -31,9 +31,10 @@
 $template->assign('COLLECTIONS_COUNT', count($categories));
 
+
 // order menu
 if (count($categories))
 {
   $url = add_url_params(USER_COLLEC_PUBLIC, array('uc_collection_order' => ''));
-  
+
   foreach ($orders as $order_id => $order)
   {
@@ -53,4 +54,5 @@
 
 
+// collections details
 if (count($categories))
 {
@@ -69,5 +71,5 @@
 ;';
   $thumbnails = hash_from_query($query, 'col_id');
-  
+
   $thumbnails[0] = array(
     'id' => 0,
@@ -78,5 +80,5 @@
     'rotation' => 0,
     );
-  
+
   foreach ($thumbnails as &$info)
   {
@@ -84,5 +86,5 @@
   }
   unset($info);
-  
+
   $tpl_thumbnails_var = array();
 
@@ -91,29 +93,27 @@
     $thumb = empty($thumbnails[ $category['id'] ]) ? $thumbnails[0] : $thumbnails[ $category['id'] ];
     $counter = get_display_images_count($category['nb_images'], $category['nb_images'], 0);
-    
-    $tpl_var = array_merge( $category, array(
-      'representative'   => $thumb,
-      'TN_ALT'   => strip_tags($category['name']),
-      'URL'   => USER_COLLEC_PUBLIC.'edit/'.$category['id'],
-      'CAPTION_NB_IMAGES' => empty($counter) ? sprintf(l10n('%d photo'), 0) : $counter,
-      'NAME'  => trigger_event('render_category_name', $category['name']),
-      'DESCRIPTION'  => trigger_event('render_category_description', $category['comment'], 'subcatify_category_description'),
-      'INFO_DATES' => format_date($category['date_creation'], true),
-      'U_DELETE' => add_url_params(USER_COLLEC_PUBLIC, array('action'=>'delete','col_id'=>$category['id'])),
+
+    $tpl_var = array_merge($category, array(
+      'representative' =>     $thumb,
+      'TN_ALT' =>             strip_tags($category['name']),
+      'URL' =>                USER_COLLEC_PUBLIC.'edit/'.$category['id'],
+      'CAPTION_NB_IMAGES' =>  empty($counter) ? l10n('%d photo', 0) : $counter,
+      'NAME' =>               trigger_change('render_category_name', $category['name']),
+      'DESCRIPTION' =>        trigger_change('render_category_description', $category['comment'], 'subcatify_category_description'),
+      'INFO_DATES' =>         format_date($category['date_creation'], true),
+      'U_DELETE' =>           add_url_params(USER_COLLEC_PUBLIC, array('action'=>'delete','col_id'=>$category['id'])),
       ));
 
     $tpl_thumbnails_var[] = $tpl_var;
   }
-  
-  $derivative_params = trigger_event('get_index_album_derivative_params', ImageStdParams::get_by_type(IMG_THUMB) );
+
+  $derivative_params = trigger_change('get_index_album_derivative_params', ImageStdParams::get_by_type(IMG_THUMB) );
   $template->assign(array(
-    'maxRequests' =>$conf['max_requests'],
+    'maxRequests' => $conf['max_requests'],
     'category_thumbnails' => $tpl_thumbnails_var,
     'derivative_params' => $derivative_params,
     ));
-  
+
   $template->set_filename('index_category_thumbnails', 'mainpage_categories.tpl');
   $template->assign_var_from_handle('CATEGORIES', 'index_category_thumbnails');
 }
-
-?>
Index: /extensions/UserCollections/include/display_thumbnails.inc.php
===================================================================
--- /extensions/UserCollections/include/display_thumbnails.inc.php	(revision 25677)
+++ /extensions/UserCollections/include/display_thumbnails.inc.php	(revision 25678)
@@ -1,5 +1,4 @@
 <?php
 defined('USER_COLLEC_PATH') or die('Hacking attempt!');
-
 
 // image order
@@ -17,8 +16,9 @@
 }
 
-// get sorted elements
 $image_order_id = pwg_get_session_var('uc_image_order', 0);
 $orders = get_collection_preferred_image_orders();
 
+
+// get sorted elements
 $query = '
 SELECT i.id
@@ -31,4 +31,5 @@
 $page['items'] = array_from_query($query, 'id');
 
+
 // caddie
 if (isset($_GET['uc_caddie']))
@@ -38,4 +39,5 @@
 }
 
+
 // image order menu
 if ( $conf['index_sort_order_input']
@@ -43,5 +45,5 @@
 {
   $url = add_url_params($self_url, array('uc_image_order' => ''));
-  
+
   foreach ($orders as $order_id => $order)
   {
@@ -75,7 +77,9 @@
 }
 
+
 // add links for colorbox
 add_event_handler('loc_end_index_thumbnails', 'user_collections_thumbnails_in_collection', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
 
+// photos details
 global $selection, $pictures;
 include(PHPWG_ROOT_PATH . 'include/category_default.inc.php');
@@ -83,10 +87,10 @@
 
 // multisize menu
-if ( !empty($page['items']) )
+if (!empty($page['items']))
 {
   $url = add_url_params($self_url, array('display' => ''));
-    
+
   $selected_type = $template->get_template_vars('derivative_params')->type;
-  $template->clear_assign( 'derivative_params' );
+  $template->clear_assign('derivative_params');
   $type_map = ImageStdParams::get_defined_type_map();
   unset($type_map[IMG_XXLARGE], $type_map[IMG_XLARGE]);
@@ -118,11 +122,11 @@
 {
   global $template, $page;
-  
+
   $url = USER_COLLEC_PUBLIC . 'edit/'.$page['col_id'];
-  
+
   foreach ($tpl_thumbnails_var as &$thumbnail)
   {
     $src_image = new SrcImage($thumbnail);
-    
+
     $thumbnail['FILE_SRC'] = DerivativeImage::url(IMG_LARGE, $src_image);
     $thumbnail['URL'] = duplicate_picture_url(
@@ -135,7 +139,5 @@
       );
   }
-  
+
   return $tpl_thumbnails_var;
 }
-  
-?>
Index: /extensions/UserCollections/include/events.inc.php
===================================================================
--- /extensions/UserCollections/include/events.inc.php	(revision 25677)
+++ /extensions/UserCollections/include/events.inc.php	(revision 25678)
@@ -12,26 +12,31 @@
   if ($tokens[0] == 'collections')
   {
-    add_event_handler('loc_begin_page_header', 'user_collections_page_header');
-    
     $page['section'] = 'collections';
     $page['title'] = l10n('Collections');
-    
+    $page['body_id'] = 'theCollectionPage';
+    $page['is_external'] = true;
+    $page['is_homepage'] = false;
+
     $page['section_title'] = '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator'];
-    if (is_a_guest()) $page['section_title'].= l10n('Collections');
-    else $page['section_title'].= '<a href="'.USER_COLLEC_PUBLIC.'">'.l10n('Collections').'</a>';
-    
+    if (is_a_guest())
+    {
+      $page['section_title'].= l10n('Collections');
+    }
+    else
+    {
+      $page['section_title'].= '<a href="'.USER_COLLEC_PUBLIC.'">'.l10n('Collections').'</a>';
+    }
+
+    $page['sub_section'] = 'list';
     if (in_array(@$tokens[1], array('edit','view','list')))
     {
       $page['sub_section'] = $tokens[1];
-      if ($tokens[1]=='edit' && isset($conf['GThumb']) && is_array($conf['GThumb']))
-      {
-        $conf['GThumb']['big_thumb'] = false; // big thumb is buggy with removes
-      }
-    }
-    else
-    {
-      $page['sub_section'] = 'list';
-    }
-    
+    }
+
+    if ($page['sub_section']=='edit' && isset($conf['GThumb']) && is_array($conf['GThumb']))
+    {
+      $conf['GThumb']['big_thumb'] = false; // big thumb is buggy with removes
+    }
+
     if (!empty($tokens[2]))
     {
@@ -39,29 +44,4 @@
     }
   }
-}
-
-function user_collections_page_header()
-{
-  global $page;
-  $page['body_id'] = 'theCollectionPage';
-}
-
-function uc_anti_lightbox($tpl_thumbnails_var)
-{
-  global $template, $page;
-  
-  if ($page['section'] == 'collections' && !empty($template->css_by_priority[0]))
-  {
-    foreach ($template->css_by_priority[0] as $file)
-    {
-      if (strpos($file[0], 'colorbox.css') !== false)
-      {
-        $template->assign('UC_NO_LIGHTBOX', true);
-        break;
-      }
-    }
-  }
-  
-  return $tpl_thumbnails_var;
 }
 
@@ -73,7 +53,7 @@
   if (isset($page['section']) and $page['section'] == 'collections')
   {
-    include(USER_COLLEC_PATH . '/include/collections.inc.php');
-  }
-  
+    include(USER_COLLEC_PATH . 'include/collections.inc.php');
+  }
+
   if (!is_a_guest() && count($page['items']))
   {
@@ -91,15 +71,15 @@
 {
   if (is_a_guest()) return $tpl_thumbnails_var;
-  
+
   global $page, $template, $user;
-  
+
   // the content is different on collection edition page and no button on batch downloader set edition page
-  if ( empty($pictures) or (@$page['section'] == 'collections' and @$page['sub_section']=='edit') or @$page['section'] == 'download')
+  if (empty($pictures) or (@$page['section'] == 'collections' and @$page['sub_section']=='edit') or @$page['section'] == 'download')
   {
     return $tpl_thumbnails_var;
   }
-  
+
   $image_ids = array_map(create_function('$i', 'return $i["id"];'), $pictures);
-  
+
   // get collections for each picture
   $query = '
@@ -117,5 +97,5 @@
 ;';
   $image_collections = simple_hash_from_query($query, 'image_id', 'col_ids');
-  
+
   foreach ($tpl_thumbnails_var as &$thumbnail)
   {
@@ -123,5 +103,5 @@
   }
   unset($thumbnail);
-  
+
   // get all collections
   $query = '
@@ -132,19 +112,19 @@
 ;';
   $collections = hash_from_query($query, 'id');
-  
+
   foreach ($collections as &$col)
   {
-    $col["name"] = trigger_event("render_category_name", $col["name"]);
+    $col["name"] = trigger_change('render_category_name', $col["name"]);
   }
   unset($col);
-  
+
   $template->assign(array(
     'COLLECTIONS' => $collections,
     'USER_COLLEC_PATH' => USER_COLLEC_PATH,
     ));
-  
+
   // thumbnails buttons
   $template->set_prefilter('index_thumbnails', 'user_collections_thumbnails_list_button');
-  
+
   return $tpl_thumbnails_var;
 }
@@ -162,5 +142,5 @@
 {/if}
 </a>{/strip}';
-  
+
   return preg_replace($search, $replace, $content);
 }
@@ -173,8 +153,11 @@
 function user_collections_picture_page()
 {
-  if (is_a_guest()) return;
-  
+  if (is_a_guest())
+  {
+    return;
+  }
+
   global $template, $picture, $user;
-  
+
   // get collections for this picture
   $query = '
@@ -190,5 +173,5 @@
 ;';
   list($image_collections) = pwg_db_fetch_row(pwg_query($query));
-  
+
   // get all collections
   $query = '
@@ -199,11 +182,11 @@
 ;';
   $collections = hash_from_query($query, 'id');
-  
+
   foreach ($collections as &$col)
   {
-    $col["name"] = trigger_event("render_category_name", $col["name"]);
+    $col["name"] = trigger_change('render_category_name', $col["name"]);
   }
   unset($col);
-  
+
   $template->assign(array(
     'CURRENT_COLLECTIONS' => $image_collections,
@@ -213,5 +196,5 @@
     'IN_PICTURE' => true,
     ));
-  
+
   // toolbar button
   $template->set_filename('usercol_button', realpath(USER_COLLEC_PATH.'template/picture_button.tpl'));
@@ -227,9 +210,10 @@
 function user_collections_add_menublock($menu_ref_arr)
 {
-  if (is_a_guest()) return;
-  
   $menu = &$menu_ref_arr[0];
-  if ($menu->get_id() != 'menubar') return;
-    
+  if (is_a_guest() || $menu->get_id() != 'menubar')
+  {
+    return;
+  }
+
   $menu->register_block(new RegisteredBlock('mbUserCollection', l10n('Collections'), 'UserCollection'));
 }
@@ -239,8 +223,8 @@
 {
   $max = 6;
-  
+
   global $template, $page, $conf, $user;
   $menu = &$menu_ref_arr[0];
-  
+
   if (($block = $menu->get_block('mbUserCollection')) != null)
   {
@@ -252,13 +236,13 @@
 ;';
     $collections = array_values(hash_from_query($query, 'id'));
-    
+
     $data['collections'] = array();
     for ($i=0; $i<$max && $i<count($collections); $i++)
     {
-      $collections[$i]['name'] = trigger_event('render_category_name', $collections[$i]['name']);
+      $collections[$i]['name'] = trigger_change('render_category_name', $collections[$i]['name']);
       $collections[$i]['u_edit'] = USER_COLLEC_PUBLIC.'edit/'.$collections[$i]['id'];
       $data['collections'][] = $collections[$i];
     }
-    
+
     $data['NB_COL'] = count($collections);
     if ($data['NB_COL'] > $max)
@@ -266,7 +250,7 @@
       $data['MORE'] = count($collections)-$max;
     }
-    
+
     $data['U_LIST'] = USER_COLLEC_PUBLIC;
-    
+
     $block->set_title('<a href="'.USER_COLLEC_PUBLIC.'">'.l10n('Collections').'</a>');
     $block->template = realpath(USER_COLLEC_PATH . 'template/menublock.tpl');
@@ -274,4 +258,2 @@
   }
 }
-
-?>
Index: /extensions/UserCollections/include/functions.inc.php
===================================================================
--- /extensions/UserCollections/include/functions.inc.php	(revision 25677)
+++ /extensions/UserCollections/include/functions.inc.php	(revision 25678)
@@ -1,24 +1,4 @@
 <?php
 defined('USER_COLLEC_PATH') or die('Hacking attempt!');
-
-function uc_check_email_validity($mail_address)
-{
-  if (function_exists('email_check_format'))
-  {
-    return email_check_format($mail_address); // Piwigo 2.5
-  }
-  else if (version_compare(PHP_VERSION, '5.2.0') >= 0)
-  {
-    return filter_var($mail_address, FILTER_VALIDATE_EMAIL)!==false;
-  }
-  else
-  {
-    $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // before  arobase
-    $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // domain name
-    $regex = '/^' . $atom . '+' . '(\.' . $atom . '+)*' . '@' . '(' . $domain . '{1,63}\.)+' . $domain . '{2,63}$/i';
-
-    return (bool)preg_match($regex, $mail_address);
-  }
-}
 
 function get_random_key($length=32)
@@ -35,6 +15,6 @@
 {
   global $conf;
-    
-  return trigger_event('get_category_preferred_image_orders', array(
+
+  return trigger_change('get_category_preferred_image_orders', array(
     array(l10n('Date added to collection, new &rarr; old'), 'add_date DESC', true),
     array(l10n('Date added to collection, old &rarr; new'), 'add_date ASC',  true),
@@ -42,5 +22,5 @@
     array(l10n('Photo title, Z &rarr; A'),        'name DESC',            true),
     array(l10n('Date created, new &rarr; old'),   'date_creation DESC',   true),
-    array(l10n('Date created, old &rarr; new'),   'date_creation ASC',    true), 
+    array(l10n('Date created, old &rarr; new'),   'date_creation ASC',    true),
     array(l10n('Date posted, new &rarr; old'),    'date_available DESC',  true),
     array(l10n('Date posted, old &rarr; new'),    'date_available ASC',   true),
@@ -58,9 +38,7 @@
     array(l10n('Name, Z &rarr; A'),               'name DESC',          true),
     array(l10n('Date created, new &rarr; old'),   'date_creation DESC', true),
-    array(l10n('Date created, old &rarr; new'),   'date_creation ASC',  true), 
+    array(l10n('Date created, old &rarr; new'),   'date_creation ASC',  true),
     array(l10n('Photos number, high &rarr; low'), 'nb_images DESC',     true),
     array(l10n('Photos number, low &rarr; high'), 'nb_images ASC',      true),
     );
 }
-
-?>
Index: /extensions/UserCollections/include/index.php
===================================================================
--- /extensions/UserCollections/include/index.php	(revision 25677)
+++ /extensions/UserCollections/include/index.php	(revision 25678)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
@@ -28,3 +5,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/UserCollections/include/plain_encoder.php
===================================================================
--- /extensions/UserCollections/include/plain_encoder.php	(revision 25677)
+++ /extensions/UserCollections/include/plain_encoder.php	(revision 25678)
@@ -40,4 +40,2 @@
   }
 }
-
-?>
